package cn.com.ctop.common.module.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@Data
@TableName("ctop_account_attribution_info")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class AccountAttributionInfo {
    @TableId
    private String id;
    private Long accountId;
    private Long projectId;
    private Long productId;
    private String advertiserId;
    private String companyId;
    private String projectName;
    private String advertiserName;
    private String companyName;
    private String saleId;
    private String userId;
    private String orgCode;
    @TableField(exist = false)
    private String userName;
    @TableField(exist = false)
    private String authName;
}
