package cn.com.ctop.kuaishou.modules.ai.mapper;

import cn.com.ctop.kuaishou.modules.ai.entity.AiKuaishouAccountLevelOperationRecord;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 智能投放-账户层级操作记录表
 *
 * @author jeecg-boot
 * 2021-07-11
 * @version V1.0
 */
public interface AiKuaishouAccountLevelOperationRecordMapper extends BaseMapper<AiKuaishouAccountLevelOperationRecord> {

    List<JSONObject> queryMatchResult(@Param("projectId") Long projectId);
}
