package cn.com.ctop.toutiao.modules.material.mapper;

import cn.com.ctop.toutiao.modules.material.entity.ByteDanceVideoInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description: 今日头条视频素材信息
 * @Author: jeecg-boot
 * @Date: 2019-07-29
 * @Version: V1.0
 */
public interface ByteDanceVideoInfoMapper extends BaseMapper<ByteDanceVideoInfo> {

    void replaceBatch(@Param(value = "videoList") List<ByteDanceVideoInfo> videoInfoList);

    /**
     * 头条上传视频素材信息 根据账户id 修改状态
     * @param accountId 账户id
     * @param status  0-删除 1-正常
     */
    void updaBytedanceVideoByAccountId(@Param(value = "accountId") Long accountId, @Param(value = "status") Integer status);
}
